Old modules and plugins

Note: This database has been replaced by the Moodle Plugins Directory.

Block: MoodleTxt - txttools.co.uk SMS/Text Messaging Module

The MoodleTxt block
Type: Block
Requires: Moodle 1.5 or later
Status: Contributed
Maintainer(s): Greg J Preece/Tech Team, txttools.co.uk

MoodleTxt is a block that allows teachers and administrators to send SMS/text messages to their students directly from the Moodle system. It is available free of charge to all txttools.co.uk customers, and trial accounts can be provided on request. The module supports both inbound and outbound messaging, allowing teachers to text their students and receive replies without ever leaving Moodle. It also supports text message status updates, user-personalised messages, message templates and signatures, and makes use of AJAX capabilities to make administrating user access rights easier. News and development updates can be found at http://www.moodletxt.co.uk , or text "MOODLETXT" to 88020 to receive free MoodleTxt news updates on your mobile. For the more technically minded, a development blog is also available at http://www.moodletxt.co.uk/demo/blog/index.php?userid=2


Latest News (2011-10-12)

moodletxt 2.4.2 has been released, to patch several minor issues that have arisen since the 2.4 release earlier this year:

  • Fixed bug in control panel that prevented jQuery includes from being disabled
  • Corrected legacy issue of language files being outside block folder
  • Corrected issue with JSON code running on older PHP installations
  • Fixed error in cron script that caused it to output HTML
  • Squeezed database table names into the correct Moodle standard
  • Fixed error with moodletxt leaving tables behind when uninstalling
  • Added missing 'pluginname' string to language files to match current standard
  • Added README file and full GPLv3 licencing data

Note to upgraders: The authentication system in moodletxt is entirely changed in 2.4.x, and any custom authentication must be re-applied. It is imperative that all upgraders to 2.4.x from 2.3.4 and below read the available documentation before installing.

Moodle 2.x Compatibility

moodletxt 3.0, a complete PHP5 re-write of the block intended for Moodle 2.0 and above, is rapidly approaching beta. We expect to post this up for public evaluation and testing within the next few weeks. Thank you to all our customers for their patience with this transition process.





If you have any questions or comments regarding moodletxt, Greg J Preece is always hanging around the Moodle.org website, generally haunting the documentation section or the developer forum. He tries to reply to forum threads concerning moodletxt but sometimes he misses them, so feel free to contact him directly, either via e-mail, private message, or you can telephone txttools on +44 (0) 113 234 2111.



Record added by Greg J Preece - Tuesday, 4 September 2007, 5:49 PM
Last modified - Friday, 14 October 2011, 12:06 AM